package com.eactive.eai.adapter.http.client.impl.filter;

public enum HttpClient5AdapterFilterType {
	SIMPLEFRAMEWORK,
	SIMPLEFRAMEWORKBODY,
	JBOBP,
	KFTCFACE,
	KFTCP2P,
	KAKAOBANK,
	NAVERFIN,
	NICECREDIT,
	TOSSBANK,
	TRACEBODY,
	ASYNCRESPONSE,
	ALLHEADER,
	UNKNOWN;

	public static HttpClient5AdapterFilterType getValue(String type) {
		try {
			return valueOf(type.toUpperCase());
		} catch (NullPointerException e) {
			return UNKNOWN;
		} catch (Exception e) {
			return UNKNOWN;
		}
	}
}
